package com.example.core

import androidx.activity.ComponentActivity
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.test.assertIsDisplayed
import androidx.compose.ui.test.junit4.createAndroidComposeRule
import androidx.compose.ui.test.onNodeWithTag
import androidx.compose.ui.test.onNodeWithText
import androidx.compose.ui.test.performClick
import androidx.test.ext.junit.runners.AndroidJUnit4
import com.example.core.component.button.AppButton
import com.example.core.component.button.ButtonState
import com.example.core.component.select.AppSelector
import com.example.core.component.select.Option
import org.junit.Rule
import org.junit.Test
import org.junit.runner.RunWith


@RunWith(AndroidJUnit4::class)
class ComponentsTest {
    @get:Rule
    val composeTestRule = createAndroidComposeRule<ComponentActivity>()

    @Test
    fun test_input_error() {
    }

    @Test
    fun test_app_selector() {
        composeTestRule.setContent {
            var selectedOption1 by remember { mutableStateOf<Option?>(null) }

            AppSelector(
                selectedOption = selectedOption1,
                options = listOf(
                    Option(label = "Мужской"),
                    Option(label = "Женский")
                ),
                onOptionSelect = { selectedOption1 = it },
                hint = "Пол"
            )
        }

        composeTestRule.onNodeWithText("Пол").performClick()
        composeTestRule.onNodeWithTag("AppBottomSheet").assertIsDisplayed()
    }

    @Test
    fun test_chips_button() {
        composeTestRule.setContent {
            AppButton(
                label = "Популярное",
                onClick = {},
                state = ButtonState.Chips,
                enabled = false
            )
        }

        composeTestRule.onNodeWithText("Популярное").assertIsDisplayed()
    }
}