package com.example.core.component.button

import androidx.compose.runtime.Composable
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp
import com.example.core.theme.CustomTheme

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

interface BubbleButtonState {

    @Composable
    fun roundness(): Dp // радиус скругления

    @Composable
    fun size(): Dp // размер

    object Small : BubbleButtonState {

        @Composable
        override fun roundness(): Dp = CustomTheme.elevation.spacing8dp

        @Composable
        override fun size(): Dp = CustomTheme.elevation.spacing32dp
    }

    object Big : BubbleButtonState {

        @Composable
        override fun roundness(): Dp = 10.dp

        @Composable
        override fun size(): Dp = CustomTheme.elevation.spacing48dp
    }

}