package com.example.core.component.card

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.draw.shadow
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import com.example.core.theme.CustomTheme

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

/**
 * общий фон для карточек */
@Composable
fun AppCardBackground(
    modifier: Modifier = Modifier,
    content: @Composable () -> Unit
) {
    Column(
        modifier = modifier
            .fillMaxWidth()
            .shadow(
                elevation = 20.dp,
                shape = RoundedCornerShape(CustomTheme.elevation.spacing12dp),
                clip = false,
                spotColor = Color(0xFFE4E8F5).copy(alpha = 0.6f)
            )
            .clip(RoundedCornerShape(CustomTheme.elevation.spacing12dp))
            .background(CustomTheme.colors.white)
    ) {
        Box(modifier = Modifier.padding(CustomTheme.elevation.spacing16dp)) {
            content()
        }
    }
}