package com.example.core.component.header

import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import com.example.core.theme.CustomTheme

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

@Composable
fun BigHeader(
    title: String,
    modifier: Modifier = Modifier,
    startContent: @Composable () -> Unit = {},
    endContent: @Composable () -> Unit = {}
) {
    Column(modifier = modifier) {
        Box(contentAlignment = Alignment.CenterEnd, modifier = modifier.fillMaxWidth()) {
            Box(modifier = Modifier.align(Alignment.CenterStart)) {
                startContent()
            }

            endContent()
        }
        Spacer(Modifier.height(CustomTheme.elevation.spacing24dp))
        Text(text = title, style = CustomTheme.typography.title1ExtraBold)
    }
}