package com.example.core.component.tabbar

import androidx.annotation.Keep
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.painter.Painter
import com.example.core.R
import com.example.core.theme.CustomIcons
import kotlinx.serialization.Serializable

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

/**
 * Общий интерфейс для всех вкладок меню навигации
* */
interface BottomTab {

    @Composable
    fun icon(): Painter

    fun labelResId(): Int
}

@Keep
@Serializable
object Home : BottomTab {

    @Composable
    override fun icon(): Painter = CustomIcons.home

    override fun labelResId(): Int = R.string.home
}

@Keep
@Serializable
object Catalog : BottomTab {

    @Composable
    override fun icon(): Painter = CustomIcons.catalog

    override fun labelResId(): Int = R.string.catalog
}

@Keep
@Serializable
object Projects : BottomTab {

    @Composable
    override fun icon(): Painter = CustomIcons.projects

    override fun labelResId(): Int = R.string.projects
}

@Keep
@Serializable
object Profile : BottomTab {

    @Composable
    override fun icon(): Painter = CustomIcons.profile

    override fun labelResId(): Int = R.string.profile
}
