package com.example.core.component.tabbar

import androidx.compose.animation.animateColorAsState
import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import com.example.core.theme.CustomTheme

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 26.05.2025
 * */

@Composable
fun BottomTabBarItem(
    bottomTab: BottomTab,
    selected: Boolean,
    modifier: Modifier = Modifier
) {
    val tintColor by animateColorAsState(if (selected) CustomTheme.colors.accent else CustomTheme.colors.inputIcon)
    Column(modifier = modifier, horizontalAlignment = Alignment.CenterHorizontally) {
        Icon(
            painter = bottomTab.icon(),
            contentDescription = null,
            tint = tintColor,
            modifier = Modifier.weight(1f)
        )

        Text(
            text = stringResource(bottomTab.labelResId()),
            style = CustomTheme.typography.caption2Regular.copy(color = tintColor)
        )
    }
}